Bug 984218 - NetworkManager routing through VPN always
NetworkManager routing through VPN always
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
21
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 13:14 EDT by Deependra Singh Shekhawat
Modified: 2015-12-02 11:05 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:50:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of 'nmcli con list id' (1.86 KB, text/plain)
2013-10-12 16:07 EDT, Ron Yorston
no flags Details

  None (edit)
Description Deependra Singh Shekhawat 2013-07-13 13:14:45 EDT
Description of problem:
I am trying to use NetworkManager to connect to the VPN. I import the VPN configuration and the CA certificate, after that while selecting the check box to "use this connection only for resources in this network" under IPv4 and "apply", if I then connect to the VPN, I am not able to access public sites only intranet is accessible.

If I go check the check-box which I checked on, it shows as un-checked.

Version-Release number of selected component (if applicable):
NetworkManager-0.9.8.2-2.fc19.x86_64
NetworkManager-vpnc-0.9.3.997-4.fc19.x86_64
NetworkManager-l2tp-0.9.8-1.fc19.x86_64
NetworkManager-glib-0.9.8.2-2.fc19.x86_64
NetworkManager-pptp-0.9.3.997-3.fc18.x86_64
NetworkManager-openvpn-0.9.6.0-2.fc19.x86_64
NetworkManager-openconnect-0.9.7.0-2.git20120918.fc19.x86_64

How reproducible:
Below are the steps to reproduce the problem

Steps to Reproduce:
1. Add a new VPN via NM using import a file
2. After providing details like user name and CA certificate go to IPv4 section
3. Select the check-box that says "use this connection only for resources in this network", to only use VPN for intranet and for external sites do not use the VPN Route.
4. Click on Apply to save this configuration.
5. Connect to the VPN and try to access intranet it should work just fine.
6. Try to access external sites on public domain and they should not work, a simple ping to google.com should show following result

$ ping google.com
PING google.com (74.125.235.37) 56(84) bytes of data.
From ovpn-xxx.xxxx.xxx.xx (10.4.1.1) icmp_seq=1 Destination Port Unreachable
From ovpn-xxx.xxxx.xxx.xx (10.4.1.1) icmp_seq=2 Destination Port Unreachable
From ovpn-xxx.xxxx.xxx.xx (10.4.1.1) icmp_seq=3 Destination Port Unreachable

It is clearly going to the VPN gateway instead of ISP gateway which it should have done ideally speaking for public sites.


Actual results:
The check-box gets unchecked by itself causing routing to break.

Expected results:
The check-box should remain checked until someone unchecks it explicitly and say "apply"

Additional info:
Let me know what else is needed to help fix this issue.

Cheers!
Deependra
Comment 1 Deependra Singh Shekhawat 2013-07-13 13:15:29 EDT
Just to note, SELinux is set to Permissive while trying this out
Comment 2 Jirka Klimes 2013-07-17 04:44:45 EDT
Do you edit VPN connection in Gnome control-center? The check-box issue could be its problem. Please check using nm-connection-editor.

Also, would you get routing table
$ route

and list parameters of your VPN connection:
$ nmcli con list id "your connection name"
Comment 3 Deependra Singh Shekhawat 2013-07-17 04:58:59 EDT
OK. So I did use nm-connection-editor but couldn't make it work, finally I found that if I disable IPV6 in the VPN dialog box (inside nm-connection editor), the check-box change persists under IPV4 settings.

This made it finally work and now its running just fine. We may want to document this behaviour if its expected as I didn't find it documented anywhere so far.

Please let me know if there are any questions.
Comment 4 Jirka Klimes 2013-07-19 07:15:44 EDT
Do not confuse "nm-connection-editor" with Gnome's control-center configuration opened via "Network Settings" in network indicator icon.

nm-connection-editor doesn't have IPv6 configuration, because IPv6 for VPN is not supported yet.
You can run "nm-connection-editor" when you type the command to search box in Gnome3. The check-box is under "Route..." button in "IPv4 Settings" tab.

Can you get output of the commands requested in comment #2?
Comment 5 Ron Yorston 2013-10-12 16:07:22 EDT
Created attachment 811624 [details]
Output of 'nmcli con list id'

I'm seeing the same problem as the original reporter:  the 'Use this connection only for resources on its network' checkbox in the VPN settings has no effect.  After checking the checkbox and applying the change, returning to the settings dialog shows the checkbox is unchecked.  The default route is always via the VPN.
Comment 6 Dan Williams 2013-11-12 13:02:11 EST
Ron, are you doing this via the Gnome Control Center, or nm-connection-editor?
Comment 7 Ron Yorston 2013-11-12 15:58:23 EST
I used GNOME Settings and vi.  Anticipating that the latter might be considered problematic I removed the wifi settings and reconfigured using GNOME Settings only.  I left the VPN settings untouched because I don't know where they live (they certainly don't seem to be in /etc/sysconfig/network-scripts) so have never edited them other than through GNOME Settings.

I still see the same problem:  the 'Use this connection only for resources on its network' checkbox in the VPN settings doesn't stick.
Comment 8 Dan Williams 2014-01-28 12:05:31 EST
Confirmed on F19; in the Control Center the "Use this connection for resources..." checkbox does not get saved.
Comment 9 Jerry James 2014-12-18 00:23:29 EST
Not only does the checkbox not get saved in F21, but clicking it doesn't make the "Apply" button become ungrayed.  It's impossible to push "Apply" unless some other setting is also changed.
Comment 10 Fedora End Of Life 2015-01-09 13:53:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-11-04 09:08:52 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-12-01 21:50:16 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.